{ modulesPath, ... }:
{
  imports = [
    ./disk.nix
    ./machine.nix
    ../../modules/podman.nix
    (modulesPath + "/installer/scan/not-detected.nix")
    (modulesPath + "/profiles/qemu-guest.nix")
  ];

  boot.loader.grub = {
    enable = true;
    efiSupport = true;
    efiInstallAsRemovable = true;
    useOSProber = true;
  };

  programs.dconf.enable = true;

  # Setup DKIM key directory
  systemd.tmpfiles.rules = [
    "d /var/dkim 0755 root root - -"
  ];
}
